### Method

# Fwupd Device compare

since: 1.1.1

#### Declaration [src]

    gint
    fwupd_device_compare (
      FwupdDevice* self1,
      FwupdDevice* self2
    )

#### Description [src]

Comparison function for comparing two device objects.

Available since: 1.1.1

#### Parameters

`self2`

  Type: `FwupdDevice`

  A different device.

  The data is owned by the caller of the method.

#### Return value

Type: `gint`

Negative, 0 or positive.